<?php

namespace Drupal\extended_container_resource;

/**
 * This class acts as a manager or a central hub for all mobile types.
 *
 * It is part of the demo classes.
 *
 * @package Drupal\extended_container_resource
 */
class MobileCollection {

  /**
   * A list of mobile models.
   *
   * @var array
   */
  private $mobileModels = [];

  /**
   * Add a mobile model.
   *
   * @param \Drupal\extended_container_resource\MobileInterface $mobile
   *   The mobile model.
   */
  public function addMobileModel(MobileInterface $mobile) {
    $this->mobileModels[] = $mobile;
  }

  /**
   * Get mobile models.
   *
   * @return array
   *   The mobile collection.
   */
  public function getMobileModels(): array {
    return $this->mobileModels;
  }

}
